using System;
using System.ComponentModel;
using System.Reflection;

namespace SharePointArchitects.FilePlanner
{
	/// <summary>
	/// Enables the assignment of a label to an enumerator.
	/// </summary>
	[ AttributeUsage(AttributeTargets.Field) ]
	public sealed class LabelAttribute : Attribute {

		/// <summary>
		/// A text string used as a label for controls.
		/// </summary>
		public readonly string Label;

		/// <summary>
		/// Creates a label attribute from a text string.
		/// </summary>
		/// <param name="s"></param>
		public LabelAttribute(string s) { this.Label = s; }
	}
}
