﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using Microsoft.SharePoint;
using SharePointArchitects.FilePlanner.Configuration;

namespace SharePointArchitects.FilePlanner
{
    // Extension for the RecordSpecification serialization object
    // to support records center configuration.
    public partial class RecordSpecification
    {
        [XmlIgnore]
        public ContentTypeDescriptor ContentType = null;

        public bool HasRetention
        {
            get
            {
                return this.Retention != null && !string.IsNullOrEmpty(this.Retention.Value);
            }
        }

        public static RecordSpecification Default
        {
            get
            {
                RecordSpecification spec = new RecordSpecification();
                spec.Title = "Untitled Record";
                spec.Description = "";
                spec.Classification = "Unclassified";
                spec.Aliases = "";
                spec.AssignedTo = "";
                spec.Retention = new RetentionPolicy();
                spec.Retention.Value="Created + 3";
                spec.Type = RecordType.Electronic;
                return spec;
            }
        }
    }
}
