﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;

namespace SharePointArchitects.FilePlanner
{
    public partial class RetentionPolicy
    {
        // Returns a properly formatted retention policy string.
        public string Parse()
        {
            Guid PolicyId=Guid.NewGuid();
            string PolicyName="DefaultPolicyName";
            string PolicyDescription="DefaultPolicyDescription";
            string PolicyStatement = "DefaultPolicyStatement";
            string PropertyName = "Created";
            string PropertyId = Properties.Resources.RetentionPropertyId_Created;
            string PeriodType = Properties.Resources.RetentionPeriodYears;
            int Duration = 3;

            return Properties.Resources.RetentionPolicy_1Stage
                .Replace("$PolicyId", PolicyId.ToString().Replace("{", "").Replace("}", ""))
                .Replace("$PolicyName", PolicyName)
                .Replace("$PolicyDescription", PolicyDescription)
                .Replace("$PolicyStatement", PolicyStatement)
                .Replace("$Duration_01", Duration.ToString())
                .Replace("$Property_01", PropertyName)
                .Replace("$Property_01_Id", PropertyId)
                .Replace("$Period_01", PeriodType);

        }
    }
}
