﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>

<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FilePlanActivate.aspx.cs"
    Inherits="SPC2011.FilePlanner.FilePlanActivate" DynamicMasterPageFile="~masterurl/default.master" %>

<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="AdminControls" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint.ApplicationPages.Administration" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="TemplatePickerControl" Src="~/_controltemplates/TemplatePickerControl.ascx" %>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    <SharePoint:EncodedLiteral ID="EncodedLiteral1" runat="server" Text="Activate File Plan"
        EncodeMethod='HtmlEncode' />
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea"
    runat="server">
    <SharePoint:EncodedLiteral ID="EncodedLiteral2" runat="server" Text="Activate File Plan"
        EncodeMethod='HtmlEncode' />
</asp:Content>
<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
</asp:Content>
<asp:Content ID="PageDescription" ContentPlaceHolderID="PlaceHolderPageDescription"
    runat="server">
    <SharePoint:EncodedLiteral ID="EncodedLiteral3" runat="server" Text="Use this page to provision a records center site based on a file plan."
        EncodeMethod='HtmlEncodeAllowSimpleTextFormatting' />
</asp:Content>
<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <table width="100%" class="propertysheet" cellspacing="0" cellpadding="0" border="0">
        <tr>
            <td class="ms-descriptionText">
                <asp:Label ID="LabelMessage" runat="server" EnableViewState="False" class="ms-descriptionText" />
            </td>
        </tr>
        <tr>
            <td class="ms-error">
                <asp:Label ID="LabelErrorMessage" runat="server" EnableViewState="False" />
            </td>
        </tr>
        <tr>
            <td class="ms-descriptionText">
                <asp:ValidationSummary ID="ValSummary" HeaderText="<%$SPHtmlEncodedResources:spadmin, ValidationSummaryHeaderText%>"
                    DisplayMode="BulletList" ShowSummary="True" runat="server"></asp:ValidationSummary>
            </td>
        </tr>
    </table>
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet" width="100%">

        <wssuc:ButtonSection runat="server" TopButtons="true" BottomSpacing="5" ShowSectionLine="false"
            ShowStandardCancelButton="true">
            <template_buttons>
            <asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnActivate_Click" Text="Activate" id="BtnActivateTop" accesskey="<%$Resources:wss,okbutton_accesskey%>" Enabled="true"/>
            </template_buttons>
        </wssuc:ButtonSection>

        <!-- Title and Description -->
        <wssuc:InputFormSection runat="server" Title="Title and Description" Description="Type a title and description for the Records Center site.  The title will be displayed on each page in the site.">
            <template_description>
                <p>Activate File Plan '<asp:Label ID="FilePlanPageTitle" runat="server" />'</p>
                <p>Use this page to activate your file plan.  Select from the available options for processing your file plan
                in order to control the way the records center site is provisioned and configured.</p>
            </template_description>
            <template_inputformcontrols>
                <wssuc:InputFormControl runat="server" LabelText="Title:">
                    <Template_Control>
                        <wssawc:InputFormTextBox title="Title" class="ms-input" ID="PlanTitle" Columns="35" Runat="server" MaxLength="255"></wssawc:InputFormTextBox>
                        <wssawc:InputFormRequiredFieldValidator
                            ID="ReqValPlanTitle"
                            ControlToValidate="PlanTitle"
                            ErrorMessage="A title is required for the records center site."
                            Runat="server"/>
                    </Template_Control>
                </wssuc:InputFormControl>
                <wssuc:InputFormControl runat="server" LabelText="Description:">
                    <Template_Control>
                        <wssawc:InputFormTextBox title="Description" class="ms-input" ID="PlanDescription" Runat="server" TextMode="MultiLine" Columns="40" Rows="3"/>
                        <wssawc:InputFormRequiredFieldValidator
                            ID="ReqValPlanDescription"
                            ControlToValidate="PlanDescription"
                            ErrorMessage="A description is required for the records center site."
                            Runat="server"/>
                    </Template_Control>
                </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>

        <!-- Records Center Web Application -->
        <wssuc:InputFormSection runat="server" Title="Records Center Web Application" Description="Select a web application to host the records center site.">
            <template_inputformcontrols>
                <wssuc:InputFormControl runat="server" LabelText="Web Application:">
                    <Template_Control>
                        <asp:DropDownList ID="WebApplicationDropDownList" runat="server" />
                    </Template_Control>
                </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>

        <!-- Records Center Web Site Address -->
        <wssuc:InputFormSection runat="server" Title="Records Center Web Site Address" Description="Specify the Server Relative url of the new Records Center site.">
            <template_inputformcontrols>
                <wssuc:InputFormControl runat="server" LabelText="URL:">
                    <Template_Control>
                        <wssawc:InputFormTextBox title="URL:" class="ms-input" ID="RecordsCenterUrl" Runat="server" Columns="80" MaxLength="255" />
                        <wssawc:InputFormRequiredFieldValidator
                            ID="ReqValRecordsCenterUrl"
                            ControlToValidate="RecordsCenterUrl"
                            ErrorMessage="Records center site url is required"
                            Runat="server"/>
                    </Template_Control>
                </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>

        <!-- Records Center Administrator -->
        <wssuc:InputFormSection runat="server" Title="Records Center Administrator" 
            Description="Specify the administrator for the Records Center.  Only one user login can be provided; security groups are not supported."
            id="idPrimaryAdministratorSection">
            <template_inputformcontrols>
                <wssuc:InputFormControl LabelText="Administrator:" runat="server">
                    <Template_Control>
                        <wssawc:PeopleEditor
                          AllowEmpty="false"
                          SingleLine="true"
                          ValidatorEnabled="true"
                          MultiSelect="false"
                          id="PickerOwner"
                          runat="server"
                          SelectionSet="User"
                          />
                        <wssawc:InputFormRequiredFieldValidator
                            ID="ReqValRecordsCenterAdmin"
                            ControlToValidate="PickerOwner"
                            ErrorMessage="Records Center site administrator is required"
                            Runat="server"/>
                    </Template_Control>
                </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>

        <!-- Record Grouping Options -->
        <wssuc:InputFormSection runat="server" Title="Record Grouping Strategy" Description="Specify how you want to setup the records center to process incoming records. You can group by category, record series or responsibility with additional options for aggregating similar retention periods.">
            <template_inputformcontrols>
                <wssuc:InputFormControl LabelText="Grouping Strategy:" runat="server">
                    <Template_Control>
                        <asp:RadioButtonList ID="GroupingStrategyButtonList" runat="server" RepeatDirection="Vertical" />
                    </Template_Control>
                </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>

        <!-- Buttons -->
        <wssuc:ButtonSection runat="server" ShowStandardCancelButton="true">
            <template_buttons>
                <asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnActivate_Click" Text="Activate" id="BtnActivate" accesskey="<%$Resources:wss,okbutton_accesskey%>" Enabled="true"/>
            </template_buttons>
        </wssuc:ButtonSection>

    </table>
</asp:Content>
